Page MenuHomePhabricator

Set up Query Service for the Federated Properties test system
Closed, ResolvedPublic8 Estimated Story Points

Description

As a Wikibase evaluator, I want to make SPARQL queries of my local Wikibase using federated properties so that I can combine and reuse data in the Wikibase.

The test system should have a Query Service (0.3.32) so that querying can be tested/verified by the PM during the development of the federated properties feature.

We should do this in such a way to also help facilitate easier creation of additional test instances (with a Query Service) that can be used in user testing (T255419).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2020, 8:40 AM
Samantha_Alipio_WMDE updated the task description. (Show Details)
Samantha_Alipio_WMDE set the point value for this task to 13.
Samantha_Alipio_WMDE changed the point value for this task from 13 to 8.Jul 6 2020, 1:20 PM
Samantha_Alipio_WMDE triaged this task as Medium priority.Jul 8 2020, 10:31 AM
Addshore raised the priority of this task from Medium to High.Jul 8 2020, 10:34 AM

The Query Service has been installed on the Federated Properties test system at https://query-federated-properties.wmflabs.org. It is running the docker image 0.3.40, which has been newly created per T250974. The following example query returns three results, one 'Berlin' item from the Federated Properties test system UNIONised with two 'Berlin' items from wikidata.org:

PREFIX fpwdt: <http://wikidata.beta.wmflabs.org/prop/direct/>
PREFIX wdt: <http://www.wikidata.org/prop/direct/>
SELECT ?item ?ISNI
WHERE
{
  VALUES ?ISNI {"0000 0001 1364 8293"}
  {
    SELECT ?item ?ISNI
    WHERE
    {
        ?item fpwdt:P253125 ?ISNI;
    }
  }
  UNION
  {
   SERVICE <https://query.wikidata.org/sparql> {
        ?item wdt:P213 ?ISNI;
   }
  }
}

The WDQS has been added using ansible automation per T257213, which can easily be re-used to set up additional instances for user testing.

Addshore closed this task as Resolved.Jul 22 2020, 8:08 AM
Addshore claimed this task.
Addshore added a subscriber: Addshore.

Resolved as it's in the Done column at the end of sprint 3 (start of sprint 4)

Restricted Application added a project: User-Addshore. · View Herald TranscriptJul 22 2020, 8:08 AM